<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:34:05 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
Uses of Interface org.apache.http.protocol.HttpContext (HttpComponents Core 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Interface org.apache.http.protocol.HttpContext (HttpComponents Core 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/protocol//class-useHttpContext.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="HttpContext.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>org.apache.http.protocol.HttpContext</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http"><B>org.apache.http</B></A></TD>
<TD>Core HTTP components based on the blocking I/O model.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.impl"><B>org.apache.http.impl</B></A></TD>
<TD>Default implementations for interfaces in
<A HREF="../../../../../org/apache/http/package-summary.html"><CODE>org.apache.http</CODE></A>.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.impl.nio"><B>org.apache.http.impl.nio</B></A></TD>
<TD>Default implementations for interfaces in
<A HREF="../../../../../org/apache/http/package-summary.html"><CODE>org.apache.http.nio</CODE></A>.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.nio"><B>org.apache.http.nio</B></A></TD>
<TD>Core HTTP components based on the non-blocking I/O model.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.nio.protocol"><B>org.apache.http.nio.protocol</B></A></TD>
<TD>Asynchronous HTTP protocol handlers based on the non-blocking I/O model.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.protocol"><B>org.apache.http.protocol</B></A></TD>
<TD>HTTP protocol execution framework and synchronous HTTP protocol handlers 
based on the blocking I/O model.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A> in <A HREF="../../../../../org/apache/http/package-summary.html">org.apache.http</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/package-summary.html">org.apache.http</A> with parameters of type <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>ConnectionReuseStrategy.</B><B><A HREF="../../../../../org/apache/http/ConnectionReuseStrategy.html#keepAlive(org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">keepAlive</A></B>(<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
          <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Decides whether a connection can be kept open after a request.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A></CODE></FONT></TD>
<TD><CODE><B>HttpResponseFactory.</B><B><A HREF="../../../../../org/apache/http/HttpResponseFactory.html#newHttpResponse(org.apache.http.ProtocolVersion, int, org.apache.http.protocol.HttpContext)">newHttpResponse</A></B>(<A HREF="../../../../../org/apache/http/ProtocolVersion.html" title="class in org.apache.http">ProtocolVersion</A>&nbsp;ver,
                int&nbsp;status,
                <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new response from status line elements.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A></CODE></FONT></TD>
<TD><CODE><B>HttpResponseFactory.</B><B><A HREF="../../../../../org/apache/http/HttpResponseFactory.html#newHttpResponse(org.apache.http.StatusLine, org.apache.http.protocol.HttpContext)">newHttpResponse</A></B>(<A HREF="../../../../../org/apache/http/StatusLine.html" title="interface in org.apache.http">StatusLine</A>&nbsp;statusline,
                <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new response from a status line.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpRequestInterceptor.</B><B><A HREF="../../../../../org/apache/http/HttpRequestInterceptor.html#process(org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">process</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
        <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Processes a request.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpResponseInterceptor.</B><B><A HREF="../../../../../org/apache/http/HttpResponseInterceptor.html#process(org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">process</A></B>(<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
        <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Processes a response.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A> in <A HREF="../../../../../org/apache/http/impl/package-summary.html">org.apache.http.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/impl/package-summary.html">org.apache.http.impl</A> with parameters of type <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/Locale.html?is-external=true" title="class or interface in java.util">Locale</A></CODE></FONT></TD>
<TD><CODE><B>DefaultHttpResponseFactory.</B><B><A HREF="../../../../../org/apache/http/impl/DefaultHttpResponseFactory.html#determineLocale(org.apache.http.protocol.HttpContext)">determineLocale</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Determines the locale of the response.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>DefaultConnectionReuseStrategy.</B><B><A HREF="../../../../../org/apache/http/impl/DefaultConnectionReuseStrategy.html#keepAlive(org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">keepAlive</A></B>(<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
          <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NoConnectionReuseStrategy.</B><B><A HREF="../../../../../org/apache/http/impl/NoConnectionReuseStrategy.html#keepAlive(org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">keepAlive</A></B>(<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
          <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A></CODE></FONT></TD>
<TD><CODE><B>DefaultHttpResponseFactory.</B><B><A HREF="../../../../../org/apache/http/impl/DefaultHttpResponseFactory.html#newHttpResponse(org.apache.http.ProtocolVersion, int, org.apache.http.protocol.HttpContext)">newHttpResponse</A></B>(<A HREF="../../../../../org/apache/http/ProtocolVersion.html" title="class in org.apache.http">ProtocolVersion</A>&nbsp;ver,
                int&nbsp;status,
                <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A></CODE></FONT></TD>
<TD><CODE><B>DefaultHttpResponseFactory.</B><B><A HREF="../../../../../org/apache/http/impl/DefaultHttpResponseFactory.html#newHttpResponse(org.apache.http.StatusLine, org.apache.http.protocol.HttpContext)">newHttpResponse</A></B>(<A HREF="../../../../../org/apache/http/StatusLine.html" title="interface in org.apache.http">StatusLine</A>&nbsp;statusline,
                <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.impl.nio"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A> in <A HREF="../../../../../org/apache/http/impl/nio/package-summary.html">org.apache.http.impl.nio</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Fields in <A HREF="../../../../../org/apache/http/impl/nio/package-summary.html">org.apache.http.impl.nio</A> declared as <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A></CODE></FONT></TD>
<TD><CODE><B>NHttpConnectionBase.</B><B><A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#context">context</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/impl/nio/package-summary.html">org.apache.http.impl.nio</A> that return <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A></CODE></FONT></TD>
<TD><CODE><B>NHttpConnectionBase.</B><B><A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#getContext()">getContext</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.nio"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A> in <A HREF="../../../../../org/apache/http/nio/package-summary.html">org.apache.http.nio</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/nio/package-summary.html">org.apache.http.nio</A> that return <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A></CODE></FONT></TD>
<TD><CODE><B>NHttpConnection.</B><B><A HREF="../../../../../org/apache/http/nio/NHttpConnection.html#getContext()">getContext</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an HTTP execution context associated with this connection.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.nio.protocol"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A> in <A HREF="../../../../../org/apache/http/nio/protocol/package-summary.html">org.apache.http.nio.protocol</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/nio/protocol/package-summary.html">org.apache.http.nio.protocol</A> that return <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A></CODE></FONT></TD>
<TD><CODE><B>BasicAsyncRequestExecutionHandler.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#getContext()">getContext</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A></CODE></FONT></TD>
<TD><CODE><B>HttpAsyncRequestExecutionHandler.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutionHandler.html#getContext()">getContext</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns shared <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol"><CODE>HttpContext</CODE></A> instance.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/nio/protocol/package-summary.html">org.apache.http.nio.protocol</A> with parameters of type <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected abstract &nbsp;<A HREF="../../../../../org/apache/http/nio/protocol/AbstractAsyncRequestConsumer.html" title="type parameter in AbstractAsyncRequestConsumer">T</A></CODE></FONT></TD>
<TD><CODE><B>AbstractAsyncRequestConsumer.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/AbstractAsyncRequestConsumer.html#buildResult(org.apache.http.protocol.HttpContext)">buildResult</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Invoked to generate a result object from the received HTTP request
 message.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A></CODE></FONT></TD>
<TD><CODE><B>BasicAsyncResponseConsumer.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncResponseConsumer.html#buildResult(org.apache.http.protocol.HttpContext)">buildResult</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected abstract &nbsp;<A HREF="../../../../../org/apache/http/nio/protocol/AbstractAsyncResponseConsumer.html" title="type parameter in AbstractAsyncResponseConsumer">T</A></CODE></FONT></TD>
<TD><CODE><B>AbstractAsyncResponseConsumer.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/AbstractAsyncResponseConsumer.html#buildResult(org.apache.http.protocol.HttpContext)">buildResult</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Invoked to generate a result object from the received HTTP response
 message.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A></CODE></FONT></TD>
<TD><CODE><B>BasicAsyncRequestConsumer.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestConsumer.html#buildResult(org.apache.http.protocol.HttpContext)">buildResult</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/nio/entity/ConsumingNHttpEntity.html" title="interface in org.apache.http.nio.entity">ConsumingNHttpEntity</A></CODE></FONT></TD>
<TD><CODE><B>NHttpRequestHandler.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/NHttpRequestHandler.html#entityRequest(org.apache.http.HttpEntityEnclosingRequest, org.apache.http.protocol.HttpContext)">entityRequest</A></B>(<A HREF="../../../../../org/apache/http/HttpEntityEnclosingRequest.html" title="interface in org.apache.http">HttpEntityEnclosingRequest</A>&nbsp;request,
              <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Triggered when a request is received with an entity.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T,E extends <A HREF="../../../../../org/apache/http/pool/PoolEntry.html" title="class in org.apache.http.pool">PoolEntry</A>&lt;<A HREF="../../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>,<A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&gt;&gt; 
<BR>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true" title="class or interface in java.util.concurrent">Future</A>&lt;T&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>HttpAsyncRequester.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequester.html#execute(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.pool.ConnPool, org.apache.http.protocol.HttpContext)">execute</A></B>(<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>&nbsp;requestProducer,
        <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;T&gt;&nbsp;responseConsumer,
        <A HREF="../../../../../org/apache/http/pool/ConnPool.html" title="interface in org.apache.http.pool">ConnPool</A>&lt;<A HREF="../../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>,E&gt;&nbsp;connPool,
        <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initiates asynchronous HTTP request execution.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T,E extends <A HREF="../../../../../org/apache/http/pool/PoolEntry.html" title="class in org.apache.http.pool">PoolEntry</A>&lt;<A HREF="../../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>,<A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&gt;&gt; 
<BR>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true" title="class or interface in java.util.concurrent">Future</A>&lt;T&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>HttpAsyncRequester.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequester.html#execute(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.pool.ConnPool, org.apache.http.protocol.HttpContext, org.apache.http.concurrent.FutureCallback)">execute</A></B>(<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>&nbsp;requestProducer,
        <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;T&gt;&nbsp;responseConsumer,
        <A HREF="../../../../../org/apache/http/pool/ConnPool.html" title="interface in org.apache.http.pool">ConnPool</A>&lt;<A HREF="../../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>,E&gt;&nbsp;connPool,
        <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context,
        <A HREF="../../../../../org/apache/http/concurrent/FutureCallback.html" title="interface in org.apache.http.concurrent">FutureCallback</A>&lt;T&gt;&nbsp;callback)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initiates asynchronous HTTP request execution.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T&gt; <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true" title="class or interface in java.util.concurrent">Future</A>&lt;T&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>HttpAsyncRequester.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequester.html#execute(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.nio.NHttpClientConnection, org.apache.http.protocol.HttpContext)">execute</A></B>(<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>&nbsp;requestProducer,
        <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;T&gt;&nbsp;responseConsumer,
        <A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&nbsp;conn,
        <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initiates asynchronous HTTP request execution.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T&gt; <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true" title="class or interface in java.util.concurrent">Future</A>&lt;T&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>HttpAsyncRequester.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequester.html#execute(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.nio.NHttpClientConnection, org.apache.http.protocol.HttpContext, org.apache.http.concurrent.FutureCallback)">execute</A></B>(<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>&nbsp;requestProducer,
        <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;T&gt;&nbsp;responseConsumer,
        <A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&nbsp;conn,
        <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context,
        <A HREF="../../../../../org/apache/http/concurrent/FutureCallback.html" title="interface in org.apache.http.concurrent">FutureCallback</A>&lt;T&gt;&nbsp;callback)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initiates asynchronous HTTP request execution.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>NHttpRequestExecutionHandler.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/NHttpRequestExecutionHandler.html#finalizeContext(org.apache.http.protocol.HttpContext)">finalizeContext</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Triggered when the connection is terminated.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpRequestExecutionHandler.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/HttpRequestExecutionHandler.html#finalizeContext(org.apache.http.protocol.HttpContext)">finalizeContext</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Triggered when the connection is terminated.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>BasicAsyncRequestHandler.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestHandler.html#handle(org.apache.http.HttpRequest, org.apache.http.nio.protocol.HttpAsyncExchange, org.apache.http.protocol.HttpContext)">handle</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
       <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncExchange.html" title="interface in org.apache.http.nio.protocol">HttpAsyncExchange</A>&nbsp;httpexchange,
       <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>SimpleNHttpRequestHandler.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/SimpleNHttpRequestHandler.html#handle(org.apache.http.HttpRequest, org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">handle</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
       <A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
       <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>SimpleNHttpRequestHandler.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/SimpleNHttpRequestHandler.html#handle(org.apache.http.HttpRequest, org.apache.http.HttpResponse, org.apache.http.nio.protocol.NHttpResponseTrigger, org.apache.http.protocol.HttpContext)">handle</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
       <A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
       <A HREF="../../../../../org/apache/http/nio/protocol/NHttpResponseTrigger.html" title="interface in org.apache.http.nio.protocol">NHttpResponseTrigger</A>&nbsp;trigger,
       <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>NHttpRequestHandler.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/NHttpRequestHandler.html#handle(org.apache.http.HttpRequest, org.apache.http.HttpResponse, org.apache.http.nio.protocol.NHttpResponseTrigger, org.apache.http.protocol.HttpContext)">handle</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
       <A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
       <A HREF="../../../../../org/apache/http/nio/protocol/NHttpResponseTrigger.html" title="interface in org.apache.http.nio.protocol">NHttpResponseTrigger</A>&nbsp;trigger,
       <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Initiates processing of the request.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpAsyncRequestHandler.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestHandler.html#handle(T, org.apache.http.nio.protocol.HttpAsyncExchange, org.apache.http.protocol.HttpContext)">handle</A></B>(<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestHandler.html" title="type parameter in HttpAsyncRequestHandler">T</A>&nbsp;data,
       <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncExchange.html" title="interface in org.apache.http.nio.protocol">HttpAsyncExchange</A>&nbsp;httpExchange,
       <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Triggered to complete request processing and to initiate the process of
 generating a response.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseProducer</A></CODE></FONT></TD>
<TD><CODE><B>HttpAsyncService.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncService.html#handleException(java.lang.Exception, org.apache.http.protocol.HttpContext)">handleException</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</A>&nbsp;ex,
                <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>NHttpRequestExecutionHandler.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/NHttpRequestExecutionHandler.html#handleResponse(org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">handleResponse</A></B>(<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
               <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Triggered when an HTTP response is ready to be processed.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpRequestExecutionHandler.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/HttpRequestExecutionHandler.html#handleResponse(org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">handleResponse</A></B>(<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
               <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Triggered when an HTTP response is ready to be processed.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>NHttpRequestExecutionHandler.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/NHttpRequestExecutionHandler.html#initalizeContext(org.apache.http.protocol.HttpContext, java.lang.Object)">initalizeContext</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context,
                 <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;attachment)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Triggered when a new connection has been established and the
 HTTP context needs to be initialized.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpRequestExecutionHandler.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/HttpRequestExecutionHandler.html#initalizeContext(org.apache.http.protocol.HttpContext, java.lang.Object)">initalizeContext</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context,
                 <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;attachment)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Triggered when a new connection has been established and the
 HTTP context needs to be initialized.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestConsumer</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestHandler.html" title="type parameter in HttpAsyncRequestHandler">T</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>HttpAsyncRequestHandler.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestHandler.html#processRequest(org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">processRequest</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
               <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Triggered when an incoming request is received.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestConsumer</A>&lt;<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>BasicAsyncRequestHandler.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestHandler.html#processRequest(org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">processRequest</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
               <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>BasicAsyncRequestExecutionHandler.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#requestCompleted(org.apache.http.protocol.HttpContext)">requestCompleted</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpAsyncRequestConsumer.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestConsumer.html#requestCompleted(org.apache.http.protocol.HttpContext)">requestCompleted</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Invoked to signal that the request has been fully processed.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>BasicAsyncRequestProducer.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestProducer.html#requestCompleted(org.apache.http.protocol.HttpContext)">requestCompleted</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>AbstractAsyncRequestConsumer.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/AbstractAsyncRequestConsumer.html#requestCompleted(org.apache.http.protocol.HttpContext)">requestCompleted</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Use <A HREF="../../../../../org/apache/http/nio/protocol/AbstractAsyncRequestConsumer.html#buildResult(org.apache.http.protocol.HttpContext)"><CODE>AbstractAsyncRequestConsumer.buildResult(HttpContext)</CODE></A> instead.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpAsyncRequestProducer.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html#requestCompleted(org.apache.http.protocol.HttpContext)">requestCompleted</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Invoked to signal that the request has been fully written out.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>AsyncNHttpServiceHandler.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/AsyncNHttpServiceHandler.html#responseComplete(org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">responseComplete</A></B>(<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
                 <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Signals that this response has been fully sent.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>BasicAsyncRequestExecutionHandler.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#responseCompleted(org.apache.http.protocol.HttpContext)">responseCompleted</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpAsyncResponseConsumer.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html#responseCompleted(org.apache.http.protocol.HttpContext)">responseCompleted</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Invoked to signal that the response has been fully processed.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>BasicAsyncResponseProducer.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncResponseProducer.html#responseCompleted(org.apache.http.protocol.HttpContext)">responseCompleted</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpAsyncResponseProducer.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseProducer.html#responseCompleted(org.apache.http.protocol.HttpContext)">responseCompleted</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Invoked to signal that the response has been fully written out.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>AbstractAsyncResponseConsumer.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/AbstractAsyncResponseConsumer.html#responseCompleted(org.apache.http.protocol.HttpContext)">responseCompleted</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Use <A HREF="../../../../../org/apache/http/nio/protocol/AbstractAsyncResponseConsumer.html#buildResult(org.apache.http.protocol.HttpContext)"><CODE>AbstractAsyncResponseConsumer.buildResult(HttpContext)</CODE></A> instead.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/nio/entity/ConsumingNHttpEntity.html" title="interface in org.apache.http.nio.entity">ConsumingNHttpEntity</A></CODE></FONT></TD>
<TD><CODE><B>NHttpRequestExecutionHandler.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/NHttpRequestExecutionHandler.html#responseEntity(org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">responseEntity</A></B>(<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
               <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Triggered when a response is received with an entity.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A></CODE></FONT></TD>
<TD><CODE><B>NHttpRequestExecutionHandler.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/NHttpRequestExecutionHandler.html#submitRequest(org.apache.http.protocol.HttpContext)">submitRequest</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Triggered when the underlying connection is ready to send a new
 HTTP request to the target host.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A></CODE></FONT></TD>
<TD><CODE><B>HttpRequestExecutionHandler.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/HttpRequestExecutionHandler.html#submitRequest(org.apache.http.protocol.HttpContext)">submitRequest</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Triggered when the underlying connection is ready to send a new
 HTTP request to the target host.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpAsyncExpectationVerifier.</B><B><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncExpectationVerifier.html#verify(org.apache.http.nio.protocol.HttpAsyncExchange, org.apache.http.protocol.HttpContext)">verify</A></B>(<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncExchange.html" title="interface in org.apache.http.nio.protocol">HttpAsyncExchange</A>&nbsp;httpExchange,
       <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../org/apache/http/nio/protocol/package-summary.html">org.apache.http.nio.protocol</A> with parameters of type <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#BasicAsyncRequestExecutionHandler(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.concurrent.FutureCallback, org.apache.http.protocol.HttpContext, org.apache.http.protocol.HttpProcessor, org.apache.http.ConnectionReuseStrategy, org.apache.http.params.HttpParams)">BasicAsyncRequestExecutionHandler</A></B>(<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>&nbsp;requestProducer,
                                  <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;&nbsp;responseConsumer,
                                  <A HREF="../../../../../org/apache/http/concurrent/FutureCallback.html" title="interface in org.apache.http.concurrent">FutureCallback</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;&nbsp;callback,
                                  <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;localContext,
                                  <A HREF="../../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;httppocessor,
                                  <A HREF="../../../../../org/apache/http/ConnectionReuseStrategy.html" title="interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;reuseStrategy,
                                  <A HREF="../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#BasicAsyncRequestExecutionHandler(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.protocol.HttpContext, org.apache.http.protocol.HttpProcessor, org.apache.http.ConnectionReuseStrategy, org.apache.http.params.HttpParams)">BasicAsyncRequestExecutionHandler</A></B>(<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>&nbsp;requestProducer,
                                  <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;&nbsp;responseConsumer,
                                  <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;localContext,
                                  <A HREF="../../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;httppocessor,
                                  <A HREF="../../../../../org/apache/http/ConnectionReuseStrategy.html" title="interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;reuseStrategy,
                                  <A HREF="../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.protocol"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A> in <A HREF="../../../../../org/apache/http/protocol/package-summary.html">org.apache.http.protocol</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../org/apache/http/protocol/package-summary.html">org.apache.http.protocol</A> that implement <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/protocol/BasicHttpContext.html" title="class in org.apache.http.protocol">BasicHttpContext</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Default implementation of <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol"><CODE>HttpContext</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/protocol/DefaultedHttpContext.html" title="class in org.apache.http.protocol">DefaultedHttpContext</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol"><CODE>HttpContext</CODE></A> implementation that delegates resolution of an attribute
 to the given default <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol"><CODE>HttpContext</CODE></A> instance if the attribute is not
 present in the local one.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/protocol/SyncBasicHttpContext.html" title="class in org.apache.http.protocol">SyncBasicHttpContext</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.2) HttpContext instances may not be shared by multiple threads</I></TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/protocol/package-summary.html">org.apache.http.protocol</A> that return <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A></CODE></FONT></TD>
<TD><CODE><B>DefaultedHttpContext.</B><B><A HREF="../../../../../org/apache/http/protocol/DefaultedHttpContext.html#getDefaults()">getDefaults</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/protocol/package-summary.html">org.apache.http.protocol</A> with parameters of type <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A></CODE></FONT></TD>
<TD><CODE><B>HttpRequestExecutor.</B><B><A HREF="../../../../../org/apache/http/protocol/HttpRequestExecutor.html#doReceiveResponse(org.apache.http.HttpRequest, org.apache.http.HttpClientConnection, org.apache.http.protocol.HttpContext)">doReceiveResponse</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
                  <A HREF="../../../../../org/apache/http/HttpClientConnection.html" title="interface in org.apache.http">HttpClientConnection</A>&nbsp;conn,
                  <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Waits for and receives a response.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A></CODE></FONT></TD>
<TD><CODE><B>HttpRequestExecutor.</B><B><A HREF="../../../../../org/apache/http/protocol/HttpRequestExecutor.html#doSendRequest(org.apache.http.HttpRequest, org.apache.http.HttpClientConnection, org.apache.http.protocol.HttpContext)">doSendRequest</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
              <A HREF="../../../../../org/apache/http/HttpClientConnection.html" title="interface in org.apache.http">HttpClientConnection</A>&nbsp;conn,
              <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Send the given request over the given connection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpService.</B><B><A HREF="../../../../../org/apache/http/protocol/HttpService.html#doService(org.apache.http.HttpRequest, org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">doService</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
          <A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
          <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The default implementation of this method attempts to resolve an
 <A HREF="../../../../../org/apache/http/protocol/HttpRequestHandler.html" title="interface in org.apache.http.protocol"><CODE>HttpRequestHandler</CODE></A> for the request URI of the given request
 and, if found, executes its
 <A HREF="../../../../../org/apache/http/protocol/HttpRequestHandler.html#handle(org.apache.http.HttpRequest, org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)"><CODE>HttpRequestHandler.handle(HttpRequest, HttpResponse, HttpContext)</CODE></A>
 method.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A></CODE></FONT></TD>
<TD><CODE><B>HttpRequestExecutor.</B><B><A HREF="../../../../../org/apache/http/protocol/HttpRequestExecutor.html#execute(org.apache.http.HttpRequest, org.apache.http.HttpClientConnection, org.apache.http.protocol.HttpContext)">execute</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
        <A HREF="../../../../../org/apache/http/HttpClientConnection.html" title="interface in org.apache.http">HttpClientConnection</A>&nbsp;conn,
        <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sends the request and obtain a response.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpRequestHandler.</B><B><A HREF="../../../../../org/apache/http/protocol/HttpRequestHandler.html#handle(org.apache.http.HttpRequest, org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">handle</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
       <A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
       <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Handles the request and produces a response to be sent back to
 the client.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpService.</B><B><A HREF="../../../../../org/apache/http/protocol/HttpService.html#handleRequest(org.apache.http.HttpServerConnection, org.apache.http.protocol.HttpContext)">handleRequest</A></B>(<A HREF="../../../../../org/apache/http/HttpServerConnection.html" title="interface in org.apache.http">HttpServerConnection</A>&nbsp;conn,
              <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Handles receives one HTTP request over the given connection within the
 given execution context and sends a response back to the client.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpRequestExecutor.</B><B><A HREF="../../../../../org/apache/http/protocol/HttpRequestExecutor.html#postProcess(org.apache.http.HttpResponse, org.apache.http.protocol.HttpProcessor, org.apache.http.protocol.HttpContext)">postProcess</A></B>(<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
            <A HREF="../../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;processor,
            <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Post-processes the given response using the given protocol processor and
 completes the process of request execution.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpRequestExecutor.</B><B><A HREF="../../../../../org/apache/http/protocol/HttpRequestExecutor.html#preProcess(org.apache.http.HttpRequest, org.apache.http.protocol.HttpProcessor, org.apache.http.protocol.HttpContext)">preProcess</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
           <A HREF="../../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;processor,
           <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Pre-process the given request using the given protocol processor and
 initiates the process of request execution.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RequestContent.</B><B><A HREF="../../../../../org/apache/http/protocol/RequestContent.html#process(org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">process</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
        <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RequestUserAgent.</B><B><A HREF="../../../../../org/apache/http/protocol/RequestUserAgent.html#process(org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">process</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
        <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ImmutableHttpProcessor.</B><B><A HREF="../../../../../org/apache/http/protocol/ImmutableHttpProcessor.html#process(org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">process</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
        <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RequestExpectContinue.</B><B><A HREF="../../../../../org/apache/http/protocol/RequestExpectContinue.html#process(org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">process</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
        <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RequestDate.</B><B><A HREF="../../../../../org/apache/http/protocol/RequestDate.html#process(org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">process</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
        <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RequestConnControl.</B><B><A HREF="../../../../../org/apache/http/protocol/RequestConnControl.html#process(org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">process</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
        <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RequestTargetHost.</B><B><A HREF="../../../../../org/apache/http/protocol/RequestTargetHost.html#process(org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">process</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
        <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>BasicHttpProcessor.</B><B><A HREF="../../../../../org/apache/http/protocol/BasicHttpProcessor.html#process(org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">process</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
        <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ResponseServer.</B><B><A HREF="../../../../../org/apache/http/protocol/ResponseServer.html#process(org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">process</A></B>(<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
        <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ResponseDate.</B><B><A HREF="../../../../../org/apache/http/protocol/ResponseDate.html#process(org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">process</A></B>(<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
        <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ResponseContent.</B><B><A HREF="../../../../../org/apache/http/protocol/ResponseContent.html#process(org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">process</A></B>(<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
        <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Processes the response (possibly updating or inserting) Content-Length and Transfer-Encoding headers.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ResponseConnControl.</B><B><A HREF="../../../../../org/apache/http/protocol/ResponseConnControl.html#process(org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">process</A></B>(<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
        <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ImmutableHttpProcessor.</B><B><A HREF="../../../../../org/apache/http/protocol/ImmutableHttpProcessor.html#process(org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">process</A></B>(<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
        <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>BasicHttpProcessor.</B><B><A HREF="../../../../../org/apache/http/protocol/BasicHttpProcessor.html#process(org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">process</A></B>(<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
        <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpExpectationVerifier.</B><B><A HREF="../../../../../org/apache/http/protocol/HttpExpectationVerifier.html#verify(org.apache.http.HttpRequest, org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">verify</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request,
       <A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response,
       <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Verifies whether the given request meets the server's expectations.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../org/apache/http/protocol/package-summary.html">org.apache.http.protocol</A> with parameters of type <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/protocol/BasicHttpContext.html#BasicHttpContext(org.apache.http.protocol.HttpContext)">BasicHttpContext</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;parentContext)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/protocol/DefaultedHttpContext.html#DefaultedHttpContext(org.apache.http.protocol.HttpContext, org.apache.http.protocol.HttpContext)">DefaultedHttpContext</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;local,
                     <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;defaults)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/protocol/SyncBasicHttpContext.html#SyncBasicHttpContext(org.apache.http.protocol.HttpContext)">SyncBasicHttpContext</A></B>(<A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;parentContext)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/protocol//class-useHttpContext.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="HttpContext.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
